

struct Quaternion {
    float w, x, y, z;
};


HANDLE initSerialPort (const char* portName, DWORD baudRate);
bool readSerialData (HANDLE hSerial, char* buffer, DWORD bufferSize, DWORD& bytesRead);
bool parseQuaternion(const std::string& data, Quaternion& quat);

int linux_initSerialPort();
bool linux_readSerialData(int serialPort, char* buffer);